loci.formats.in

## Class LeicaSCNReader.Image

- java.lang.Object
- - loci.formats.in.LeicaSCNReader.Image

- Enclosing class:
    LeicaSCNReader

      class LeicaSCNReader.Image
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `creationDate`
    `(package private) java.lang.String` | `devModel`
    `(package private) java.lang.String` | `devVersion`
    `(package private) java.lang.String` | `illumNA`
    `(package private) java.lang.String` | `illumSource`
    `(package private) int` | `imageNumEnd`
    `(package private) int` | `imageNumStart`
    `(package private) int` | `imageThumbnail`
    `(package private) java.lang.String` | `name`
    `(package private) java.lang.String` | `objMag`
    `(package private) LeicaSCNReader.Pixels` | `pixels`
    `(package private) long` | `thumbSizeX`
    `(package private) java.lang.String` | `uuid`
    `(package private) long` | `vOffsetX`
    `(package private) long` | `vOffsetY`
    `(package private) long` | `vSizeX`
    `(package private) long` | `vSizeY`
    `(package private) long` | `vSpacingZ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Image(org.xml.sax.Attributes attrs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `setView(org.xml.sax.Attributes attrs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### imageNumStart

          int imageNumStart

    - #### imageNumEnd

          int imageNumEnd

    - #### imageThumbnail

          int imageThumbnail

    - #### thumbSizeX

          long thumbSizeX

    - #### name

          java.lang.String name

    - #### uuid

          java.lang.String uuid

    - #### creationDate

          java.lang.String creationDate

    - #### devModel

          java.lang.String devModel

    - #### devVersion

          java.lang.String devVersion

    - #### pixels

          LeicaSCNReader.Pixels pixels

    - #### vSizeX

          long vSizeX

    - #### vSizeY

          long vSizeY

    - #### vOffsetX

          long vOffsetX

    - #### vOffsetY

          long vOffsetY

    - #### vSpacingZ

          long vSpacingZ

    - #### objMag

          java.lang.String objMag

    - #### illumNA

          java.lang.String illumNA

    - #### illumSource

          java.lang.String illumSource

  - ### Constructor Detail

    - #### Image

          Image(org.xml.sax.Attributes attrs)

  - ### Method Detail

    - #### setView

          void setView(org.xml.sax.Attributes attrs)

Copyright © 2026 Open Microscopy Environment